Subject: bug#55953: `guix install dub` fails

From: "(" <[email-masked]>
Date: Wed, 15 Jun 2022 11:26:51 +0100

This probably went unnoticed because we don't actually _have_ any
Dub-based packages. Anyway, from that log:

> source/dub/internal/vibecompat/data/json.d(2111): Error: template
> instance `enforceEx!JSONException` template `enforceEx` is not
> defined, did you mean enforce(E : Throwable = Exception) if
> (is(typeof(new E("", string.init, size_t.init)) : Throwable) ||
> is(typeof(new E(string.init, size_t.init)) : Throwable))?

Something something templates, something something throwable, something
something optional type, something something second-system syndrome.
Seems likely to me that our Dub is too old for our ldmd2. I'll send a
patch to update it.